import React from 'react'
import moment from 'moment'
import { IconEye } from '@tabler/icons'


export const fields = [
  {
    name: 'level',
    label: 'Level',
    renderItem: (item) => item.level,
    width: '4%',
    align: 'center'
  },
  {
    name: 'case_type',
    label: 'Case Type',
    renderItem: (item) => item.extra?.case_type,
    width: '8%',
  },
  {
    name: 'case_id',
    label: 'Case ID',
    renderItem: (item) => <a href={`/paygate_disputes/${item.id}`} target="_blank">{ item.code }</a>,
    width: '8%',
  },
  {
    name: 'case_reason',
    label: 'Case Reason',
    renderItem: (item) => <span className="line-clamp-1">{item.extra?.case_reason}</span>,
    width: '8%',
  },
  {
    name: 'case_filling_date',
    label: 'Case filling date',
    renderItem: (item) => <span className="line-clamp-1">{moment(item.extra?.case_filling_date).format('YYYY/MM/DD HH:mm:ss')}</span>,
    width: '8%',
  },
  {
    name: 'link',
    label: 'Link',
    renderItem: (item) => <a href={item.link} target="_blank"><IconEye size={20} stroke={2} /></a>,
    width: '4%',
    align: 'center'
  },
  {
    name: 'order_number',
    label: 'Order Number',
    renderItem: (item) => item.order_number,
    width: '8%',
  },
  {
    name: 'sup',
    label: 'SUP',
    renderItem: (item) => item.sup,
    width: '8%',
  },
  {
    name: 'tkn',
    label: 'TKN',
    renderItem: (item) => <span className="line-clamp-1">{item.tkn}</span>,
    width: '8%',
  },
  {
    name: 'agent_note',
    label: 'Agent Note',
    renderItem: (item) => item.agent_note,
    width: '8%',
  },
  {
    name: 'next_action',
    label: 'Next action',
    renderItem: (item) => <span className="line-clamp-1">{item.next_actions}</span>,
    width: '8%',
  },
  {
    name: 'due_case',
    label: 'Due case',
    renderItem: (item) => <span className="line-clamp-1">{moment(item.due_case).format('YYYY/MM/DD HH:mm:ss')}</span>,
    width: '8%',
  },
  {
    name: 'cs_stage',
    label: 'CS Stage',
    renderItem: (item) => item.cs_stage,
    width: '8%',
  },
]

export const stateOptions = [
  {id: 'all', name: 'All'},
  {id: 'new', name: 'New'},
  {id: 'open', name: 'Open'},
  {id: 'pending', name: 'Pending'},
  {id: 'wait_on_customer', name: 'Wait on Customer'},
  {id: 'wait_on_3rd_party', name: 'Wait on 3rd party'},
  {id: 'resolved', name: 'Resolved'},
  {id: 'closed', name: 'Closed'},
]

export const dataItems = [
  {
    id: 1,
    level: 'T1',
    case_type: 'Temporary Hold',
    case_id: 'PP-D-31290390',
    case_reason: 'Credit not processed',
    case_filling_date: '2022/01/18 09:32:01',
    link: 'https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885__480.jpg',
    order_number: '#2262108-PGL',
    sup: 'ZootopBear',
    tkn: 'YT2134021272387265',
    agent_note: 'Active đến 19/12',
    next_action: 'Đã nhắn KH, normal active',
    due_case: '2021/11/09 09:26:39',
    cs_stage: 'Need checking',
  },
  {
    id: 2,
    level: 'T1',
    case_type: 'Temporary Hold',
    case_id: 'PP-D-31290390',
    case_reason: 'Credit not processed',
    case_filling_date: '2022/01/18 09:32:01',
    link: 'https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885__480.jpg',
    order_number: '#2262108-PGL',
    sup: 'ZootopBear',
    tkn: 'YT2134021272387265',
    agent_note: 'Active đến 19/12',
    next_action: 'Đã nhắn KH, normal active',
    due_case: '2021/11/09 09:26:39',
    cs_stage: 'Need checking',
  },
  {
    id: 3,
    level: 'T1',
    case_type: 'Temporary Hold',
    case_id: 'PP-D-31290390',
    case_reason: 'Credit not processed',
    case_filling_date: '2022/01/18 09:32:01',
    link: 'https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885__480.jpg',
    order_number: '#2262108-PGL',
    sup: 'ZootopBear',
    tkn: 'YT2134021272387265',
    agent_note: 'Active đến 19/12',
    next_action: 'Đã nhắn KH, normal active',
    due_case: '2021/11/09 09:26:39',
    cs_stage: 'Need checking',
  },
  {
    id: 4,
    level: 'T1',
    case_type: 'Temporary Hold',
    case_id: 'PP-D-31290390',
    case_reason: 'Credit not processed',
    case_filling_date: '2022/01/18 09:32:01',
    link: 'https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885__480.jpg',
    order_number: '#2262108-PGL',
    sup: 'ZootopBear',
    tkn: 'YT2134021272387265',
    agent_note: 'Active đến 19/12',
    next_action: 'Đã nhắn KH, normal active',
    due_case: '2021/11/09 09:26:39',
    cs_stage: 'Need checking',
  },
  {
    id: 5,
    level: 'T1',
    case_type: 'Temporary Hold',
    case_id: 'PP-D-31290390',
    case_reason: 'Credit not processed',
    case_filling_date: '2022/01/18 09:32:01',
    link: 'https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885__480.jpg',
    order_number: '#2262108-PGL',
    sup: 'ZootopBear',
    tkn: 'YT2134021272387265',
    agent_note: 'Active đến 19/12',
    next_action: 'Đã nhắn KH, normal active',
    due_case: '2021/11/09 09:26:39',
    cs_stage: 'Need checking',
  },
  {
    id: 6,
    level: 'T1',
    case_type: 'Temporary Hold',
    case_id: 'PP-D-31290390',
    case_reason: 'Credit not processed',
    case_filling_date: '2022/01/18 09:32:01',
    link: 'https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885__480.jpg',
    order_number: '#2262108-PGL',
    sup: 'ZootopBear',
    tkn: 'YT2134021272387265',
    agent_note: 'Active đến 19/12',
    next_action: 'Đã nhắn KH, normal active',
    due_case: '2021/11/09 09:26:39',
    cs_stage: 'Need checking',
  },
  {
    id: 7,
    level: 'T1',
    case_type: 'Temporary Hold',
    case_id: 'PP-D-31290390',
    case_reason: 'Credit not processed',
    case_filling_date: '2022/01/18 09:32:01',
    link: 'https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885__480.jpg',
    order_number: '#2262108-PGL',
    sup: 'ZootopBear',
    tkn: 'YT2134021272387265',
    agent_note: 'Active đến 19/12',
    next_action: 'Đã nhắn KH, normal active',
    due_case: '2021/11/09 09:26:39',
    cs_stage: 'Need checking',
  },
  {
    id: 8,
    level: 'T1',
    case_type: 'Temporary Hold',
    case_id: 'PP-D-31290390',
    case_reason: 'Credit not processed',
    case_filling_date: '2022/01/18 09:32:01',
    link: 'https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885__480.jpg',
    order_number: '#2262108-PGL',
    sup: 'ZootopBear',
    tkn: 'YT2134021272387265',
    agent_note: 'Active đến 19/12',
    next_action: 'Đã nhắn KH, normal active',
    due_case: '2021/11/09 09:26:39',
    cs_stage: 'Need checking',
  },
  {
    id: 9,
    level: 'T1',
    case_type: 'Temporary Hold',
    case_id: 'PP-D-31290390',
    case_reason: 'Credit not processed',
    case_filling_date: '2022/01/18 09:32:01',
    link: 'https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885__480.jpg',
    order_number: '#2262108-PGL',
    sup: 'ZootopBear',
    tkn: 'YT2134021272387265',
    agent_note: 'Active đến 19/12',
    next_action: 'Đã nhắn KH, normal active',
    due_case: '2021/11/09 09:26:39',
    cs_stage: 'Need checking',
  },
  {
    id: 10,
    level: 'T1',
    case_type: 'Temporary Hold',
    case_id: 'PP-D-31290390',
    case_reason: 'Credit not processed',
    case_filling_date: '2022/01/18 09:32:01',
    link: 'https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885__480.jpg',
    order_number: '#2262108-PGL',
    sup: 'ZootopBear',
    tkn: 'YT2134021272387265',
    agent_note: 'Active đến 19/12',
    next_action: 'Đã nhắn KH, normal active',
    due_case: '2021/11/09 09:26:39',
    cs_stage: 'Need checking',
  },
  {
    id: 11,
    level: 'T1',
    case_type: 'Temporary Hold',
    case_id: 'PP-D-31290390',
    case_reason: 'Credit not processed',
    case_filling_date: '2022/01/18 09:32:01',
    link: 'https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885__480.jpg',
    order_number: '#2262108-PGL',
    sup: 'ZootopBear',
    tkn: 'YT2134021272387265',
    agent_note: 'Active đến 19/12',
    next_action: 'Đã nhắn KH, normal active',
    due_case: '2021/11/09 09:26:39',
    cs_stage: 'Need checking',
  },
  {
    id: 12,
    level: 'T1',
    case_type: 'Temporary Hold',
    case_id: 'PP-D-31290390',
    case_reason: 'Credit not processed',
    case_filling_date: '2022/01/18 09:32:01',
    link: 'https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885__480.jpg',
    order_number: '#2262108-PGL',
    sup: 'ZootopBear',
    tkn: 'YT2134021272387265',
    agent_note: 'Active đến 19/12',
    next_action: 'Đã nhắn KH, normal active',
    due_case: '2021/11/09 09:26:39',
    cs_stage: 'Need checking',
  },
  {
    id: 13,
    level: 'T1',
    case_type: 'Temporary Hold',
    case_id: 'PP-D-31290390',
    case_reason: 'Credit not processed',
    case_filling_date: '2022/01/18 09:32:01',
    link: 'https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885__480.jpg',
    order_number: '#2262108-PGL',
    sup: 'ZootopBear',
    tkn: 'YT2134021272387265',
    agent_note: 'Active đến 19/12',
    next_action: 'Đã nhắn KH, normal active',
    due_case: '2021/11/09 09:26:39',
    cs_stage: 'Need checking',
  },
  {
    id: 14,
    level: 'T1',
    case_type: 'Temporary Hold',
    case_id: 'PP-D-31290390',
    case_reason: 'Credit not processed',
    case_filling_date: '2022/01/18 09:32:01',
    link: 'https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885__480.jpg',
    order_number: '#2262108-PGL',
    sup: 'ZootopBear',
    tkn: 'YT2134021272387265',
    agent_note: 'Active đến 19/12',
    next_action: 'Đã nhắn KH, normal active',
    due_case: '2021/11/09 09:26:39',
    cs_stage: 'Need checking',
  },
  {
    id: 15,
    level: 'T1',
    case_type: 'Temporary Hold',
    case_id: 'PP-D-31290390',
    case_reason: 'Credit not processed',
    case_filling_date: '2022/01/18 09:32:01',
    link: 'https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885__480.jpg',
    order_number: '#2262108-PGL',
    sup: 'ZootopBear',
    tkn: 'YT2134021272387265',
    agent_note: 'Active đến 19/12',
    next_action: 'Đã nhắn KH, normal active',
    due_case: '2021/11/09 09:26:39',
    cs_stage: 'Need checking',
  },
  {
    id: 16,
    level: 'T1',
    case_type: 'Temporary Hold',
    case_id: 'PP-D-31290390',
    case_reason: 'Credit not processed',
    case_filling_date: '2022/01/18 09:32:01',
    link: 'https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885__480.jpg',
    order_number: '#2262108-PGL',
    sup: 'ZootopBear',
    tkn: 'YT2134021272387265',
    agent_note: 'Active đến 19/12',
    next_action: 'Đã nhắn KH, normal active',
    due_case: '2021/11/09 09:26:39',
    cs_stage: 'Need checking',
  }
]